﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations;

namespace SilverlightApplication1
{
    public class MyDataObject
    {
        public int Int { get; set; }
        public string String { get; set; }

        // Do not autogenerate columns for these two properties:        
        [Display(AutoGenerateField=false)]
        public int OldInt { get; set; }

        [Display(AutoGenerateField = false)]
        public string OldString { get; set; }
    }

    public class MyData : ObservableCollection<MyDataObject>
    {
        public MyData()
        {
            FillDataCollection(20);
        }

        private void FillDataCollection(int rowCount)
        {
            for (int i = 0; i < rowCount; i++)
            {
                this.Add(new MyDataObject()
                {
                    Int = i,
                    String = "Item " + i,
                    OldInt = i,
                    OldString = "Item " + i
                });
            }
        }
    }
}
